List all V2 datasources
import requests
url = "https://{FUSION HOST}/api/connectors/configs"
response = requests.get(url)
print(response.text){
"parserId": "api-test-app",
"created": "2024-08-02T18:41:09.470Z",
"coreProperties": {},
"modified": "2024-08-02T18:41:09.470Z",
"id": "lucidworks_file_upload-api-test-app",
"type": "lucidworks.file-upload",
"collectionId": "api-test-app",
"properties": {
"mediaType": "application/octet-stream",
"fileId": "pokedex.json.zip"
},
"pipelineId": "api-test-app"
}List all V2 datasources
List the V2 datasource configurations, optionally filtering by collection.
GET
/
connectors
/
configs
List all V2 datasources
import requests
url = "https://{FUSION HOST}/api/connectors/configs"
response = requests.get(url)
print(response.text){
"parserId": "api-test-app",
"created": "2024-08-02T18:41:09.470Z",
"coreProperties": {},
"modified": "2024-08-02T18:41:09.470Z",
"id": "lucidworks_file_upload-api-test-app",
"type": "lucidworks.file-upload",
"collectionId": "api-test-app",
"properties": {
"mediaType": "application/octet-stream",
"fileId": "pokedex.json.zip"
},
"pipelineId": "api-test-app"
}Query Parameters
The collection for which to list associated datasources.
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?
⌘I